Bug 996821 - SELinux is preventing /usr/lib64/vte-2.90/gnome-pty-helper from read, write access on the chr_file ptmx.
SELinux is preventing /usr/lib64/vte-2.90/gnome-pty-helper from read, write a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:64fa1e7b2409fa37d03aca6d982...
:
: 996822 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 00:01 EDT by Mikhail
Modified: 2015-02-17 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:45:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-08-14 00:01:01 EDT
Description of problem:
SELinux is preventing /usr/lib64/vte-2.90/gnome-pty-helper from read, write access on the chr_file ptmx.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gnome-pty-helper should be allowed read write access on the ptmx chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-pty-helpe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:ptmx_t:s0
Target Objects                ptmx [ chr_file ]
Source                        gnome-pty-helpe
Source Path                   /usr/lib64/vte-2.90/gnome-pty-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-terminal-3.8.4-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.5-201.fc19.x86_64 #1 SMP Wed
                              Aug 7 16:25:24 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-08-12 09:07:27 YEKT
Last Seen                     2013-08-12 09:08:13 YEKT
Local ID                      642e9546-2d31-4f66-9103-4deedd1f3576

Raw Audit Messages
type=AVC msg=audit(1376276893.969:428): avc:  denied  { read write } for  pid=1642 comm="gnome-terminal-" name="ptmx" dev="devtmpfs" ino=1142 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1376276893.969:428): arch=x86_64 syscall=open success=no exit=EACCES a0=36ce77cf18 a1=102 a2=0 a3=0 items=0 ppid=1 pid=1642 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-terminal- exe=/usr/libexec/gnome-terminal-server subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-pty-helpe,xdm_t,ptmx_t,chr_file,read,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 748097
Comment 1 Daniel Walsh 2013-08-14 08:26:07 EDT
This looks like you are logging into the system as xdm_t?

Did you modify the login program or change the pam_stack?
Comment 2 Daniel Walsh 2013-08-14 08:26:26 EDT
*** Bug 996822 has been marked as a duplicate of this bug. ***
Comment 3 David Batson 2013-09-29 00:06:34 EDT
I am having the problem reported in bug 996822 which is reportedly a duplicate of this bug by Daniel Walsh in Comment 2

I am using a script file launched by a hotkey combo to toggle the bluetooth radio on/off.  Seems like I'm always using audit2allow to create a new selinux policy so my script will run.

SELinux is preventing /usr/sbin/rfkill from read access on the chr_file rfkill.

Plugin: catchall 
you want to allow rfkill to have read access on the rfkill chr_fileIf you believe that rfkill should be allowed read access on the rfkill chr_file by default.
You should report this as a bug.
You can generate a local policy module to allow this access.
Allow this access for now by executing:
# grep rfkill /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Bash script below.......

#!/bin/bash

BT_RFKILL=$(rfkill list | grep tpacpi_bluetooth_sw | sed 's/\([0-9]\+\):.*/\1/')
BT_STATE=$(/sbin/rfkill list $BT_RFKILL | grep "Soft blocked: yes")

if [ "x" == "x$BT_STATE" ]; then
	/sbin/rfkill block $BT_RFKILL
else
	/sbin/rfkill unblock $BT_RFKILL
fi

exit 0
Comment 4 Fedora End Of Life 2015-01-09 14:26:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:45:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.